• Resolved punitsoftac

    (@punitsoftac)


    Hi,

    I am Punit from Softaculous Team. We have observed an error in WordPress installer.

    We get following error when we visit installation page :
    “One or more database tables are unavailable. The database may need to be repaired.”

    We are getting this error in WordPress 5.5.2, 5.4.3, 5.3.5, 5.2.8, 5.1.7

    It seems that error has occurred due to change of following code of wp-includes\functions.php

    $described_table = $wpdb->get_results( “DESCRIBE $table;” );
    if ( is_array( $described_table ) && count( $described_table ) === 0 ) {
    continue;
    }

Viewing 15 replies - 1 through 15 (of 32 total)
  • Moderator James Huff

    (@macmanx)

    Volunteer Moderator

    You may need to repair the database.

    Access your WordPress database via phpMyAdmin (you’ll find this in your hosting account’s control panel), check all of the tables, and choose “Repair tables” from the pull-down menu.

    Thread Starter punitsoftac

    (@punitsoftac)

    Hi,

    I am trying to make fresh install and getting this error. After unzipping WordPress zip on first visit it throws error.

    Moderator James Huff

    (@macmanx)

    Volunteer Moderator

    I’m not seeing this with a normal manual install of 5.5.2.

    What version of PHP and MySQL are you running?

    Thread Starter punitsoftac

    (@punitsoftac)

    Tried installing on
    MySQL 5.7.32, MySQL 5.6.25, MySQL 5.5.62
    PHP 7.3.21, PHP 7.2.33, PHP 7.1.33

    Moderator James Huff

    (@macmanx)

    Volunteer Moderator

    MySQL 5.5.62 definitely won’t work: https://wordpress.org/about/requirements/

    The others should be fine though.

    I suspect something may be very wrong with your server environment, otherwise this would be reproducible with a normal manual install, and we’d have far more than just this report (especially since you claim it affects all the way back to WordPress 5.1).

    Thread Starter punitsoftac

    (@punitsoftac)

    Hi,

    Is there anyway by which you can check on any of our servers. We have tried installing on various platforms.

    Moderator James Huff

    (@macmanx)

    Volunteer Moderator

    No, WordPress installations are entirely self-contained, we have no more access than any normal visitor.

    I recommend making sure you meet the requirements: https://wordpress.org/about/requirements/

    Also, have you tried repairing the database yet?

    Thread Starter punitsoftac

    (@punitsoftac)

    Hi,

    It’s a Fresh install. I have downloaded package from https://wordpress.org/latest.zip and unzipped on server. When we visit installer. It redirects to URL/wordpress/wp-admin/setup-config.php and throws error.

    • This reply was modified 3 years, 6 months ago by punitsoftac.
    Moderator James Huff

    (@macmanx)

    Volunteer Moderator

    Yeah, as mentioned before, I can’t reproduce that error on a fresh manual install.

    Please make sure your server is meeting the requirements: https://wordpress.org/about/requirements/

    Moderator James Huff

    (@macmanx)

    Volunteer Moderator

    If it’s still not working, can you share the details of the server environment you’re on?

    I can try to reproduce that environment, or at least try on a few more environments, tomorrow morning.

    Thread Starter punitsoftac

    (@punitsoftac)

    Hi,

    Server Environment :
    MySQL : 5.7.32
    PHP : 7.4.11
    Apache : 2.2.34

    Note : It works if I replace following code of wp-includes\functions.php Line number 1756

    Original Code :

    $described_table = $wpdb->get_results( “DESCRIBE $table;” );
    if ( is_array( $described_table ) && count( $described_table ) === 0 ) {
    continue;
    }

    Replaced with :

    if ( ! $wpdb->get_results( “DESCRIBE $table;” ) ) {
    continue;
    }

    • This reply was modified 3 years, 6 months ago by punitsoftac.

    Hi, I am having same issue.

    I just uploaded fresh installation of WP and I am getting this error (instead of wizard).
    My PHP Version : 7.3

    Database is irrelelevant at the moment since I am not even able to provide host / username / password.

    I also encountered it. Just download the previous version and install it. It worked for me.

    https://wordpress.org/wordpress-5.5.1.zip

    Moderator James Huff

    (@macmanx)

    Volunteer Moderator

    Which version of MySQL are both of you running?

    (side-note, please don’t provide any usernames/passwords here, we would never ask for that anyway)

    10.5.6-MariaDB MariaDB Server

    But it doesn’t matter, because the database was empty and I am trying to install fresh copy of WP. Latest version isn’t working with “One or more database tables are unavailable. The database may need to be repaired” error, so I installed version 5.5.1.

Viewing 15 replies - 1 through 15 (of 32 total)
  • The topic ‘WordPress Installer Error’ is closed to new replies.